﻿using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;

namespace TestProject.Controllers
{
    /// <summary>
    /// 테스트 컨트롤러
    /// </summary>
    [ApiController]
    [Route("api/[controller]")]
    public class TestController : Controller
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 구하기 - Get() // GET api/test

        /// <summary>
        /// 구하기
        /// </summary>
        /// <returns>문자열 리스트</returns>
        [HttpGet]
        public List<string> Get()
        {
            return new List<string> { "value1", "value2" };
        }

        #endregion
        #region 구하기 - Get(id) // GET api/test/10

        /// <summary>
        /// 구하기
        /// </summary>
        /// <param name="id">ID</param>
        /// <returns>값</returns>
        [HttpGet("{id}")]
        public string Get(int id)
        {
            return "value";
        }

        #endregion
        #region 추가하기 - Post(value) // POST api/test

        /// <summary>
        /// 추가하기
        /// </summary>
        /// <param name="value">값</param>
        [HttpPost]
        public void Post([FromBody]string value)
        {
        }

        #endregion
        #region 수정하기 - Put(id, value) // PUT api/test/5

        /// <summary>
        /// 수정하기
        /// </summary>
        /// <param name="id"></param>
        /// <param name="value"></param>
        [HttpPut("{id}")]
        public void Put(int id, [FromBody]string value)
        {
        }

        #endregion
        #region 삭제하기 - Delete(id) // DELETE api/test/5

        /// <summary>
        /// 삭제하기
        /// </summary>
        /// <param name="id">ID</param>
        [HttpDelete("{id}")]
        public void Delete(int id)
        {
        }

        #endregion
    }
}